# UpdateDeeplinks

class UpdateDeeplinks (source)

Configures deeplinks used when updating Bitlinks.

See the Bit.ly API for more information.

#### Since

2.0

## Constructors

UpdateDeeplinks
Link copied to clipboard
constructor()

## Functions

app_guid
Link copied to clipboard
fun app_guid (): String ?
fun app_guid (app_guid: String )
app_uri_path
Link copied to clipboard
fun app_uri_path (): String ?
fun app_uri_path (app_uri_path: String )
bitlink
Link copied to clipboard
fun bitlink (): String ?
fun bitlink (bitlink: String )
brand_guid
Link copied to clipboard
fun brand_guid (): String ?
fun brand_guid (brand_guid: String )
created
Link copied to clipboard
fun created (): String ?
fun created (created: ZonedDateTime )
fun created (created: String )

ISO timestamp.

guid
Link copied to clipboard
fun guid (): String ?
fun guid (guid: String )
install_type
Link copied to clipboard
fun install_type (): InstallType ?
fun install_type (install_type: InstallType )
install_url
Link copied to clipboard
fun install_url (): String ?
fun install_url (install_url: String )
isNotEmpty
Link copied to clipboard
fun isNotEmpty (): Boolean

Returns `true` if there are defined links.

links
Link copied to clipboard
fun links (): Map < String , String >

Returns the links.

modified
Link copied to clipboard
fun modified (): String ?
fun modified (modified: ZonedDateTime )
fun modified (modified: String )

ISO timestamp.

os
Link copied to clipboard
fun os (): Os ?
fun os (os: Os )